import React from 'react';

import { Component } from './styled';

export type Props = {
  absolute?: boolean;
  orientation?: 'vertical' | 'horizontal';
  variant?: 'fullWidth' | 'inset' | 'middle';
  light?: boolean;
  style?: Object;
}

const Divider: React.FunctionComponent<Props> = (props) => {
  return (
    <Component
      {...props}
    />
  );
};

Divider.defaultProps = {
  absolute: false,
  orientation: 'vertical',
  variant: 'fullWidth',
  light: false,
  style: {},
};

export default Divider;
