import React from 'react';

import { Element } from './styled';

export type Props = {
  variant: 'text' | 'rect' | 'circle';
  height?: number | string;
  width?: number | string;
};

const Skeleton: React.FunctionComponent<Props> = ({
  variant,
  height = 'auto',
  width = 'auto',
}) => {
  return (
    <Element
      variant={variant}
      height={height}
      width={width}
    />
  );
};

export default Skeleton;
